import _merge from '../node_modules/lodash-es/merge.js';
import 'core-js/modules/es.array.concat.js';
import { useMemo } from 'react';

var useMerged = function useMerged() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }
  // since the spread args is an array, we don't need to wrap it in another array. Doing so breaks
  // the useMemo because a new array would be created with each render
  // eslint-disable-next-line react-hooks/exhaustive-deps
  return useMemo(function () {
    return _merge.apply(void 0, [{}].concat(args));
  }, args);
};
var useMerged$1 = useMerged;

export { useMerged$1 as default };
